/* ------------------------------------ *\
  dans cette feuille de style, on reecrit les style du kitlab qui ne conviennent pas
/* ------------------------------------ */


.region .block-views {
  margin-bottom: 0;
  z-index: 1;
}

/* ------------------------------------ */

/* Mobiles en mode portrait (320px à 480px) */
@media screen and (max-width: 30rem) {
    body {
        zoom: 1; /* Échelle normale */
    }
    /* Mobiles en portrait (ex: smartphones 4 à 5 pouces, résolution environ 320x480) */
}

/* Mobiles en mode paysage (481px à 767px) */
@media screen and (min-width: 30rem) and (max-width: 48rem) {
    body {
        zoom: 1; /*0.95;*/ 
    }
    /* Mobiles en paysage (ex: smartphones 4 à 5 pouces, résolution environ 480x800) */
}

/* Applique une mise à l'échelle globale de 90% pour les laptops */
@media screen and (min-width: 48rem) and (max-width: 91.45rem) {
  body {
    zoom: 1; /* 1 / 0.9 = 1.1111 */
  }
}


/* Grands écrans (1440px et plus, grands laptops, moniteurs externes) */
@media screen and (min-width: 91.45rem) {
    body {
        zoom: 1; /* 0.85  Ajustement pour les grands écrans */
    }
    /* Grands écrans (moniteurs 24 à 27 pouces avec résolution 2560x1440) et plus grands */
}


/* sur les vignettes annuaires doivent s'afficher en ligne nom - prenom au lieu de l'affichage en colonne */
/* NOM + Prénom sur une seule ligne, centré */
article.node.node--type-membre.node--view-mode-teaser h2.node__title {
  text-align: center;
}

/* supprimer la boîte intermédiaire directe */
article.node.node--type-membre.node--view-mode-teaser h2.node__title > div {
  display: contents;
}

/* Vider aussi les boîtes parasites des champs */
article.node.node--type-membre.node--view-mode-teaser h2.node__title .field {
  display: contents;
}

/* Nom et prénom inline sans marges */
article.node.node--type-membre.node--view-mode-teaser h2.node__title .field,
article.node.node--type-membre.node--view-mode-teaser h2.node__title .field__item {
  display: inline;
  margin: 0;
}

/* Capitaliser uniquement le prénom */
article.node.node--type-membre.node--view-mode-teaser 
  h2.node__title .field--name-field-membre-prenom .field__item {
  text-transform: capitalize;
}


/*
 * enlever le fond noir du header rajoute une ombre au texte
 * position et transform : ecrase les valeurs du kitlab en positionnant
 * toujours le texte au milieu de l'image carrousel meme sur les telephones
 */
.carrousel--item header {
   background-color: unset;
   text-shadow: 2px 2px 0px black;
   position: absolute;
   transform: translate(0,50%);
} 
.carrousel--item img {
    filter: brightness(0.85);
}
@media screen and (max-width: 39.9375em) {
    .carrousel--item header {
        left: unset;
    }
}

/*
 * formate le nom du site en remplacant les espaces par des sautes de lignes 
 * et petits caracteres 
 */
.site-branding__name {
   word-spacing: 100vw;
   max-width: 5.5rem;
   font-size: 0.8rem;
}

/* 
 * remplace la police Lora par Metropolis dans toutes les zones de texte
 */
.text-content,
article.node--view-mode-teaser.node--type-actu .node__content .text-content, article.node--view-mode-teaser.node--type-actu .node__content,
.carrousel--item header .field--name-field-carrousel-body, 
.chiffre-cle-container .highlights--style1.chiffre-cle,
.carrousel--item header .text-content {
   font-family: metropolis, sans-serif;
}


/* 
* probleme d'affichage des tuiles membres de l'annuaire et du total de resultats 
*/
.view.view-id-membres,
.view.view-id-annuaire {
  display: block;
}


/*
 * marge au dessus du texte d'accueil sur la page d'accueil
 */
@media (min-width: 43.75rem) {
    .main-content__container {
        padding-block-start: 32px;
    }
}
